package org.cert.broadcasttx;

import org.cert.broadcaster.R;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.telephony.TelephonyManager;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;


public class MainActivity extends Activity {
	Button btn;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        btn = (Button) findViewById(R.id.button1);
		btn.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
			    Log.d("BcastTx", "OnClick");
				TelephonyManager tm = (TelephonyManager) getBaseContext().
						getSystemService(Context.TELEPHONY_SERVICE);
			    String tmDevice = tm.getDeviceId();  // A Source
			    Log.d("BcastTx", "DeviceID: " + tmDevice);
			    Intent intent = new Intent();
				intent.setAction("DeviceIDBroadcastAction");
				intent.putExtra("deviceID", tmDevice);
				sendBroadcast(intent);	// A Sink via broadcast Intent
			    Log.d("BcastTx", "Intent has been sent.");
			}
		});
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();
        if (id == R.id.action_settings) {
            return true;
        }
        return super.onOptionsItemSelected(item);
    }
}
